[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: APT [was Re: Is this really the right thing to do?]

Jiri Baum wrote:
> Hello,
> Mitch wrote:
> > Wichert Akkerman wrote:
> > > Previously Jiri Baum wrote:
> ... 
> > > > Say, if you decide to uninstall man2html, one of the packages on the list
> > > > might be apache. Which, likely as not, you actually want to keep.
> > > 
> > > Sounds more like you want an extra dialog telling you which packages will
> > > be automatically removed before starting the update.
> > 
> > This would only happen if you never explicitly installed apache and if
> > no other packages depended on apache.  Possible, but no likely.
> Actually, I can see it quite easily:
> 1) install man2html (in hamm, it's even recommended by something that
> shouldn't even suggest it)
> 2) half a year later, put up a web site (hmm, apache is already installed!)
> 3) another half year later, upgrade to slink and notice man2html is no longer
> recommended by anything
> No?


You forgot step 2.5 where you installed libapache-mod-perl, which would
prevent apache from being deinstalled.  Anybody who doesn't install mod-perl
deserves to have their webserver taken away. ;)


actually, we would hope that the user would toggle the auto flag off
if/when they started using apache seriously.

Reply to: